Get information about all entries of a custom blocklist
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}/entries
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
- customBlacklistIdinteger<int64>requiredDescriptionFormatint64
Query Parameters
- offsetinteger<int32>DescriptionFormatint32
- limitinteger<int32>DescriptionFormatint32
- exactPatternstringDescription
- matchingPatternstringDescription
- sortstringDescriptionDefaultcreatedAllowedpatternreasoncreated
- directionstringDescriptionAllowedASCDESC
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestCustomBlacklistEntryStreamingCollection
- elementsRestCustomBlacklistEntry[]
- idinteger<int64>Formatint64
- patternstringDescription
- reasonstringDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
- countinteger<int32>Formatint32
- offsetinteger<int32>Formatint32
- limitinteger<int32>Formatint32
400
curl
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}/entries?sort=created' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}/entries?sort=created", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}/entries?sort=created")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/customblacklists/{customBlacklistId}/entries?sort=created"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The custom blocklist entries were retrieved successfully (empty result if none was found).
{
"elements": [
{
"id": "",
"pattern": "",
"reason": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}
],
"count": "",
"offset": "",
"limit": ""
}400
// Invalid limit request. Change the limit to less than 10000.